{% extends "base.html" %}
{% block styles %}
{{ super() }}
<style>
img {
    display: block;
    margin-right: auto;
    margin-left: auto;
}

</style>
{% endblock %}
{% block main %}

<h1>{{song.title}}</h1>
{% if form %}
<div class="row">
  <div class = "col-sm-4">
    <iframe src="{{song.spotify}}" width="300" height="380" frameborder="1" allowtransparency="true" allow="encrypted-media"></iframe>
  </div>
  <div class="col-sm-4">
    <img class="azerty" id="top" src="{{ url_for('static', filename='images/'+song.img) }}" style="width: 300px">
    <p class="text-center"><br> Produit par <a href="{{ url_for('artist',id = song.artist.id) }}">{{song.artist}}</a>.<br>
            Réalisé en {{song.releaseYear}}<br>
            Par le parent {{ song.parent }}
            <br><br>
            {% if not current_user.is_authenticated %}
                Connectez vous pour modifier cet auteur
                <br>
            {% endif %}
            <a href="{{ url_for('edit_album', id = song.id) }}">Editer</a>
            <br>
            <a href="{{ url_for('delete_album',id = song.id) }}">Supprimer</a>
    </p>
  </div>
  <div class="col-sm-2">
    <form class="" action="{{ url_for('song', id= song.id) }}" method="post">
      {{ form.hidden_tag() }}
      <div class="form-group">
          <label for="" class="control-label">{{ form.playlists.label}}</label>
          {{ form.playlists( class_="form-control", multiple=True) }}
      </div>
      <input type="submit" class="btn btn-primary" name="" value="Ajouter">
    </form>
  </div>
</div>
{% else %}
<img class="azerty" id="top" src="{{ url_for('static', filename='images/'+song.img) }}" style="width: 300px">
<p class="text-center"><br> Produit par <a href="{{ url_for('artist',id = song.artist.id) }}">{{song.artist}}</a>.<br>
        Réalisé en {{song.releaseYear}}<br>
        Par le parent {{ song.parent }}
        <br><br>
        {% if not current_user.is_authenticated %}
            Connectez vous pour modifier cet album et écouter ses titres !
            <br>
        {% endif %}
        <a href="{{ url_for('edit_album', id = song.id) }}">Editer</a>
        <br>
        <a href="{{ url_for('delete_album',id = song.id) }}">Supprimer</a>
</p>
{% endif %}

{% endblock %}

{% block scripts %}
{{ super() }}
<script type="text/javascript">
  var curtab = "songs-tab";
  $(function(){ document.getElementById("top").classList.add("visible"); });
</script>
{% endblock %}
